"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMaxResultLengthRows = exports.MAX_RESULT_LENGTH_VALUE = exports.STEP_RESULT_LENGTH_VALUE = exports.MIN_RESULT_LENGTH_VALUE = void 0;
var react_1 = __importDefault(require("react"));
var util_1 = require("primeobjects-ui-web-form/build/cjs/tabs/util");
var lodash_1 = require("lodash");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
exports.MIN_RESULT_LENGTH_VALUE = 300;
exports.STEP_RESULT_LENGTH_VALUE = 50;
exports.MAX_RESULT_LENGTH_VALUE = 1800;
var getMaxResultLengthRows = function (props) {
    var toShow = props.toShow, onShow = props.onShow, fieldName = props.fieldName, record = props.record, primaryColor = props.primaryColor, tab = props.tab, skipRecordUpdate = props.skipRecordUpdate;
    var defaultValue = (0, lodash_1.isNumber)(props.defaultValue) && props.defaultValue > 0
        ? props.defaultValue
        : exports.MIN_RESULT_LENGTH_VALUE;
    var fieldNameForNote = "".concat(fieldName, "Note");
    var value = tab == "run" ? props.value : record[fieldName];
    var onClickReset = function () {
        if (props.onClickReset)
            return props.onClickReset();
    };
    return [
        toShow(fieldNameForNote) && {
            fields: [
                {
                    name: fieldNameForNote,
                    type: "alert-info",
                    line: util_1.NOTE_FOR_AI_TEMPERATURE,
                    onClickClose: function () {
                        onShow(fieldNameForNote, false);
                    }
                }
            ]
        },
        {
            style: { paddingBottom: "0.2rem" },
            fields: [
                {
                    name: "".concat(fieldName, "Label"),
                    line: "Max. ".concat((0, primeobjects_helper_util_1.numberWithCommas)(value), " result characters"),
                    colStyle: { maxWidth: 220, minWidth: 220 },
                    labelSVGClassName: "self-center",
                    type: "label"
                },
                {
                    colStyle: {
                        marginLeft: 0,
                        paddingLeft: 0,
                        width: 140,
                        maxWidth: 140,
                        flex: "none"
                    },
                    name: fieldName,
                    hideLabel: true,
                    stepValue: exports.STEP_RESULT_LENGTH_VALUE,
                    defaultValue: defaultValue,
                    maxValue: exports.MAX_RESULT_LENGTH_VALUE,
                    minValue: exports.MIN_RESULT_LENGTH_VALUE,
                    type: "slider",
                    value: value,
                    useFieldValue: tab == "run",
                    skipRecordUpdate: skipRecordUpdate,
                    onChange: props.onChange
                },
                tab == "run" &&
                    props.onClickReset && {
                    colStyle: {
                        marginLeft: 20,
                        paddingLeft: 0,
                        flex: "none"
                    },
                    name: "".concat(fieldName, "ResetButton"),
                    hideLabel: true,
                    type: "container",
                    content: (react_1.default.createElement("button", { className: "text-white p-2 bg-".concat(primaryColor.name, "-400 hover:bg-").concat(primaryColor.name, "-500 text-xs shadow hover:shadow-lg justify-center rounded mt-2 leading-none"), onClick: onClickReset }, "Reset"))
                }
            ]
        }
    ];
};
exports.getMaxResultLengthRows = getMaxResultLengthRows;
//# sourceMappingURL=max-result-length-rows.js.map