import React from "react";
import { NOTE_FOR_AI_TEMPERATURE } from "primeobjects-ui-web-form/build/cjs/tabs/util";
import { isNumber } from "lodash";
export var getTemperatureRows = function (props) {
    var toShow = props.toShow, onShow = props.onShow, fieldName = props.fieldName, record = props.record, primaryColor = props.primaryColor, tab = props.tab, skipRecordUpdate = props.skipRecordUpdate;
    var defaultValue = isNumber(props.defaultValue) && props.defaultValue > 0
        ? props.defaultValue
        : 0;
    var fieldNameForNote = "".concat(fieldName, "Note");
    var value = tab == "run" ? props.value : record[fieldName];
    var onClickReset = function () {
        if (props.onClickReset)
            return props.onClickReset();
    };
    return [
        toShow(fieldNameForNote) && {
            fields: [
                {
                    name: fieldNameForNote,
                    type: "alert-info",
                    line: NOTE_FOR_AI_TEMPERATURE,
                    onClickClose: function () {
                        onShow(fieldNameForNote, false);
                    }
                }
            ]
        },
        {
            style: { paddingBottom: 0 },
            fields: [
                {
                    name: "".concat(fieldName, "Label"),
                    line: "Temperature ".concat((Math.round((isNumber(value) ? value : 0) * 100) / 100).toFixed(2)),
                    colStyle: {
                        maxWidth: 220,
                        minWidth: 220
                    },
                    labelSVGClassName: "self-center",
                    onClickInfo: function () {
                        onShow(fieldNameForNote, !toShow(fieldNameForNote));
                    },
                    type: "label"
                },
                {
                    colStyle: {
                        marginLeft: 0,
                        paddingLeft: 0,
                        width: 140,
                        maxWidth: 140,
                        flex: "none"
                    },
                    name: fieldName,
                    hideLabel: true,
                    stepValue: 0.02,
                    defaultValue: defaultValue,
                    maxValue: 1,
                    minValue: 0,
                    type: "slider",
                    value: value,
                    useFieldValue: tab == "run",
                    skipRecordUpdate: skipRecordUpdate,
                    onChange: props.onChange
                },
                tab == "run" &&
                    props.onClickReset && {
                    colStyle: {
                        marginLeft: 20,
                        paddingLeft: 0,
                        flex: "none"
                    },
                    name: "".concat(fieldName, "ResetButton"),
                    hideLabel: true,
                    type: "container",
                    content: (React.createElement("button", { className: "text-white p-2 bg-".concat(primaryColor.name, "-400 hover:bg-").concat(primaryColor.name, "-500 text-xs shadow hover:shadow-lg justify-center rounded mt-2 leading-none"), onClick: onClickReset }, "Reset"))
                }
            ]
        }
    ];
};
//# sourceMappingURL=temperature-rows.js.map